# TChannelID Class Reference

List of all members.

## Public Types
enum | EChannelType { eANY = 0, eRED_CHANNEL, eGREEN_CHANNEL, eBLUE_CHANNEL, eCYAN_CHANNEL, eMAGENTA_CHANNEL, eYELLOW_CHANNEL, eBLACK_CHANNEL, eGRAY_CHANNEL, eALPHA_CHANNEL, eSELECTION_CHANNEL, eMASK_CHANNEL, eCUSTOM_CHANNEL, eARGB_CHANNEL, eUNKNOWN, eINVALID }
## Public Member Functions
| TChannelID ()
| TChannelID (EChannelType type, uint16 enumerator)
| TChannelID (const TChannelID &source)
TChannelID & | operator= (const TChannelID &id2)
boolean | operator== (const TChannelID &id2) const
boolean | operator!= (const TChannelID &id2) const
boolean | Match (const TChannelID &id2) const
boolean | IsColor () const
boolean | IsRGB () const
boolean | IsCMYK () const
PixelBucketType | GetByteFormat (uint16 bitdepth) const
## Public Attributes
EChannelType | fType
uint16 | fEnumerator
## Static Public Attributes
static const TChannelID | kInvalidChID

## Detailed Description

Gives the ID of an image channel. Used by IShChannel::GetID and IShChannel::SetID

## Member Enumeration Documentation

enum TChannelID::EChannelType

Enumerator:

  eANY | must be 0
  eRED_CHANNEL |
  eGREEN_CHANNEL |
  eBLUE_CHANNEL |
  eCYAN_CHANNEL |
  eMAGENTA_CHANNEL |
  eYELLOW_CHANNEL |
  eBLACK_CHANNEL | K channel of CMYK.
  eGRAY_CHANNEL |
  eALPHA_CHANNEL |
  eSELECTION_CHANNEL |
  eMASK_CHANNEL |
  eCUSTOM_CHANNEL |
  eARGB_CHANNEL |
  eUNKNOWN |
  eINVALID |

## Constructor & Destructor Documentation

TChannelID::TChannelID | ( |  | ) | `[inline]`

TChannelID::TChannelID | ( | EChannelType | type,
|  | uint16 | enumerator |
| ) |  |  | `[inline]`

TChannelID::TChannelID | ( | const TChannelID & | source | ) | `[inline]`

## Member Function Documentation

PixelBucketType TChannelID::GetByteFormat | ( | uint16 | bitdepth | ) | const`[inline]`

boolean TChannelID::IsCMYK | ( |  | ) | const`[inline]`

boolean TChannelID::IsColor | ( |  | ) | const`[inline]`

boolean TChannelID::IsRGB | ( |  | ) | const`[inline]`

boolean TChannelID::Match | ( | const TChannelID & | id2 | ) | const`[inline]`

boolean TChannelID::operator!= | ( | const TChannelID & | id2 | ) | const`[inline]`

TChannelID& TChannelID::operator= | ( | const TChannelID & | id2 | ) | `[inline]`

boolean TChannelID::operator== | ( | const TChannelID & | id2 | ) | const`[inline]`

## Member Data Documentation

uint16 TChannelID::fEnumerator

EChannelType TChannelID::fType

const TChannelID TChannelID::kInvalidChID`[static]`

The documentation for this class was generated from the following file:

- LayerTypes.h